#ifndef __UTIL_H__
#define __UTIL_H__

#include <vector>
#include <string>
#include <ostream>

using namespace std;

#include "person.h"

ostream & operator<<(ostream &, vector<bool> &);
vector<string> tokenize(const string & str, const string & delimiters=" ");
vector<person> parse_file(string filename);
void save_file(string filename, const vector<person> & people);

#endif
